<?php

if (!defined('DS')) {
    define('DS', DIRECTORY_SEPARATOR);
}

if (!defined('TDFM_ROOT')) {
    define('TDFM_ROOT', __DIR__ . DS);
}

if (!defined('filesManagerFileById')) {
    function filesManagerImageById($id, $size = null, $webp = false)
    {
        /** @var \TDevAgency\FilesManager\ResourceModels\TdfmFile $filesManager */
        $filesManager = Cache::rememberForever('tdfm_file_by_id_' . $id, function () use ($id) {
            return \TDevAgency\FilesManager\ResourceModels\TdfmFile::find($id);
        });
        if ($filesManager === null) {
            return null;
        }

        if ($webp && $size !== null) {
            $filesManager->original_name = str_replace(['jpg', 'jpeg', 'png', 'gif'], ['webp', 'webp', 'webp', 'webp'], $filesManager->original_name);
        }

        if ($size === null) {
            return asset('media/' . $id . '/' . $filesManager->original_name );
        } else {
            return asset('media/' . $id . '/' . $size . '/' . $filesManager->original_name );
        }
    }
}
if (!defined('filesManagerPictureById')) {
    function filesManagerPictureById($id, $size = null)
    {
        $size = $size === null ? 'xl' : $size;
        return \View::make('files-manager::picture')->with('picture', \TDevAgency\FilesManager\Facades\PictureTag::pictureTag($id, $size))->render();
    }
}

if (!defined('fileManagerActions')) {
    function fileManagerActions()
    {
        return \View::make('files-manager::js_render')->render();
    }
}
